Đến nội dung


Hình ảnh
- - - - -

Lisp Phân Tách Diện Tích


  • Please log in to reply
9 replies to this topic

#1 tuansokool

tuansokool

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 25 July 2016 - 04:38 PM

Chào các cao thủ, mình đang gặp một ca khó đẻ với khối lượng công việc quá đồ sộ. Vậy mình mong các cao thủ giúp đỡ. Bài toán của mình như sau. Mình có 2 đối tượng Polyline, giống như đường đỏ và đường đen trên trắc dọc. Mình cần phải phân tách khối lượng đào đắp và khoảng cách như hình vẽ minh họa. Mong các cao thủ giúp đỡ. MÌnh cám ơn!

48760_untitled.jpg


  • -1

#2 tuansokool

tuansokool

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 29 July 2016 - 02:04 PM

Hú hú hú hú hú  :ph34r:


  • -1

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 29 July 2016 - 02:07 PM

Giải bày quá lủng củng nên chả ai hiểu gì hết, có muốn giúp thì biết giúp gì?


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 tuansokool

tuansokool

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 30 July 2016 - 08:43 AM

Nghĩa là đối tượng 2 là đường đỏ, đối tượng 1 là đường tự nhiên, khi đó mình cần tính diện tích đào đắp khi đối tượng 2 cắt qua đối tượng 1 ấy. Thanks


  • 0

#5 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 03 August 2016 - 10:07 AM

Chắc ý OP thế này :

 [ youtube][/youtube]


  • 1

#6 tuansokool

tuansokool

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 04 September 2016 - 10:39 PM

Chắc ý OP thế này :

 [ youtube][/youtube]

Trời ơi tuyệt vời quá. Bạn có thể chia sẻ cho mình và mọi người được không?


  • -1

#7 phuonghuynhduy

phuonghuynhduy

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 05 September 2016 - 08:46 PM

Cái này hay quá. Mình cũng đang nghiên cứu mà chưa ra. Gia_bach có thể chia sẻ giải thuật được không. 

Cảm ơn.


  • 0

#8 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 669 Bài viết
Điểm đánh giá: 313 (khá)

Đã gửi 06 September 2016 - 08:40 AM

Đua đòi bác "Jav Back" xíu... :D

141736_tach_dt.gif


  • 0

#9 kienxd04

kienxd04

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 September 2016 - 11:01 AM

Nói chung là hàng quảng cáo mang tính chất cho ae thèm vậy


  • 0

#10 hainguyen2014

hainguyen2014

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 12 (tàm tạm)

Đã gửi 07 September 2016 - 03:48 PM

Mình không rành Lisp lắm. Mình sưu tầm được 1 đoạn code lisp trên internet. Bạn có thể tham khảo thêm nhé!

 

(defun c:test (/ ang area dis el p1 p2 p3 ss1 ss2 vevo)
(setq ss1 (entsel "\nSelect first polyline"))
(setq p1 (cadr ss1))
(setq ss2 (entsel "\nSelect second polyline"))
(setq p2 (cadr ss2))
(setq ang (angle p1 p2))
(setq dis (distance p1 p2))
(setq p3 (polar p1 ang (/ dis 2.0)))
(command "_boundary" p3 "")
(setq el (entlast))
(setq vevo (vlax-ename->vla-object el))
(setq area (vlax-get vevo 'Area))
(alert (strcat "\nThis object have area is"
"\n"
(rtos area 2 3)))
(princ)
)

 

Thân!


  • 0